﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;

namespace HtmlAgilityPhoneApp
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            WebClient wc = new WebClient();
            wc.OpenReadCompleted += onOpenReadAsyncCompleted;
            wc.OpenReadAsync(new Uri("http://eal.dk/", UriKind.Absolute));
            //wc.OpenReadAsync(new Uri("http://bjoerks.net/", UriKind.Absolute));
        }
        private void onOpenReadAsyncCompleted(object sender, OpenReadCompletedEventArgs e)
        {
            var reader = e.Result;
            HtmlAgilityPack.HtmlDocument doc = new HtmlAgilityPack.HtmlDocument();
            doc.Load(reader);
            var text = doc.DocumentNode.OuterHtml;
            textBlock1.Text = text;
            FindNews(doc.DocumentNode);
        }
        private void FindNews(HtmlAgilityPack.HtmlNode node)
        {
            bool classNews = false;
            foreach (HtmlAgilityPack.HtmlAttribute a in node.Attributes)
            {
                if (a.Name == "class" && a.Value == "news")
                {
                    classNews = true;
                    break;
                }
            }
            if (classNews)
            {
                textBlock1.Text = node.OuterHtml;
                textBlock2.Text = node.InnerText.Replace("\t","").Replace("\r\n","");
                webBrowser1.NavigateToString("<html><body>" + node.OuterHtml + "</body></html>");
            }
            else
            {
                foreach (HtmlAgilityPack.HtmlNode childNode in node.ChildNodes)
                    FindNews(childNode);
            }

        }


    }
}